/*******************************************************************************
* File Name: irt_timer1.h
* Version 1.50
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__irt_timer1_INTC_H__)
#define __irt_timer1_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

#if(CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC3)     
    #if(CYDEV_CHIP_REVISION_USED <= CYDEV_CHIP_REVISION_3A_ES2)      
        #include <intrins.h>
        #define irt_timer1_ISR_PATCH() _nop_(); _nop_(); _nop_(); _nop_(); _nop_(); _nop_(); _nop_(); _nop_();
    #endif
#endif


/* Interrupt Controller API. */
void irt_timer1_Start(void);
void irt_timer1_StartEx(cyisraddress address);
void irt_timer1_Stop(void) ;

CY_ISR_PROTO(irt_timer1_Interrupt);

void irt_timer1_SetVector(cyisraddress address) ;
cyisraddress irt_timer1_GetVector(void) ;

void irt_timer1_SetPriority(uint8 priority) ;
uint8 irt_timer1_GetPriority(void) ;

void irt_timer1_Enable(void) ;
uint8 irt_timer1_GetState(void) ;
void irt_timer1_Disable(void) ;

void irt_timer1_SetPending(void) ;
void irt_timer1_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the irt_timer1 ISR. */
#define irt_timer1_INTC_VECTOR            ((reg16 *) irt_timer1__INTC_VECT)

/* Address of the irt_timer1 ISR priority. */
#define irt_timer1_INTC_PRIOR             ((reg8 *) irt_timer1__INTC_PRIOR_REG)

/* Priority of the irt_timer1 interrupt. */
#define irt_timer1_INTC_PRIOR_NUMBER      irt_timer1__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable irt_timer1 interrupt. */
#define irt_timer1_INTC_SET_EN            ((reg8 *) irt_timer1__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the irt_timer1 interrupt. */
#define irt_timer1_INTC_CLR_EN            ((reg8 *) irt_timer1__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the irt_timer1 interrupt state to pending. */
#define irt_timer1_INTC_SET_PD            ((reg8 *) irt_timer1__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the irt_timer1 interrupt. */
#define irt_timer1_INTC_CLR_PD            ((reg8 *) irt_timer1__INTC_CLR_PD_REG)



/* __irt_timer1_INTC_H__ */
#endif
